GENEWEB(1)

NAME
gwd - Launches the GeneWeb Process

SYNOPSIS
gwd [ command-line switches ]

DESCRIPTION
gwd launches the GeneWeb "daemon" process. Once this is done, you can attach to it using a web browser to view your genealogical data.
Connect to the GeneWeb process using a standard web browser using the following:
    http://localhost:2317/base
    http://127.0.0.1:2317/base
    http://address:2317/base
    http://address:port/base
where "base" is the name of the database file.
GeneWeb is coded in the functional language Objective CAML, and can be extended with byte-code or compiled code written in that language.

The primary documentation of gwd is in the HTML , documentation, which you can find in the documentation directory (/usr/share/doc/geneweb on Debian systems).
Please look there for complete and up-to-date documentation.

GeneWeb Options

-help
    Show possible options and switches

-hd <dir>
    Path to the 'lang' directory

-dd <dir>
    Path to the documentation directory

-bd <dir>
    Path to the GeneWeb database.

-wd <dir>
    Path to the socket communications (Windows) and access count.

-cgi
    Force cgi mode.

-images_url <url>
    URL for GeneWeb images (default: gwd send them)

-images_dir <url>
    Same than previous but directory name relative to current

-a <ip>
    Select a specific address (default = any address of this computer)

-p <number>
    Select a port number (default = 2317); > 1024 for normal users.

-setup_link
    Display a link to local gwsetup in bottom of pages.

-wizard <passwd>
    Set a wizard password: access to all dates and updating.

-friend <passwd>
    Set a friend password: access to all dates.

-wjf
    Wizard just friend (permanently)

-lang <lang>
    Set a default language (default: en).

-blang <lang>
    Select the user browser language if any.

-only <address>
    Only accept queries from IP address <address>.

-auth <file>
    Authorization file to restrict access. The file must hold lines of the form "user:password".

-log <file>
    Redirect log trace to this file.

-nolock
    Do not lock files before writing.

-robot_xcl <cnt>,<sec>
    Exclude connections when more than <cnt> requests in <sec> seconds.

-login_tmout <sec>
    Login timeout for entries with passwords in CGI mode (default 1800s)

-redirect <addr>
    Send a message to say that this service has been redirected to <addr>

-trace_failed_passwd
    Print the failed passwords in log

-max_clients <num>
    Max number of clients treated at the same time (default: no limit) (daemon only)

-conn_tmout <sec>
    Connection timeout (default 120s; 0 means no limit)

-daemon
    Unix daemon mode.

LICENSE

Geneweb is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Note : this copyright does not cover genealogic data bases generated by GeneWeb, nor the use of GeneWeb as Web site server or CGI - this is merely considered normal use of GeneWeb, and does not fall under the the heading of "derived work". Also note that the GPL above is copyrighted by the Free Software Foundation, but the instance of code that it refers to (the software GeneWeb) is copyrighted by INRIA.